#include "UIProgram.hpp"

using namespace pass;

UIProgram::UIProgram() : Program() {
    std::vector<Shader*> shaders;
    shaders.push_back(loadShader(GL_VERTEX_SHADER));
    shaders.push_back(loadShader(GL_FRAGMENT_SHADER));
    load(shaders);

    TextureID = glGetUniformLocation(ProgramID, "Texture");
}

UIProgram::~UIProgram() { }

std::string UIProgram::getName() const {
    return "UI";
}

void UIProgram::bindTexture(GLuint textureID) {
    glActiveTexture(GL_TEXTURE0);
    glBindTexture(GL_TEXTURE_2D, textureID);
    glUniform1i(TextureID, 0);
}
